package it.polito.elite.doseWS.agency.behaviours;

import jade.core.behaviours.*;
import it.polito.elite.doseWS.agency.AgencyManager;


/**
 *
 * <p>Title: CheckAnnotationBaseWeakConcepts </p>
 * <p>Description: Parts of the autonomic features of the platform. Interacts
 * with the AnnotatorWS in order to get a list of concepts which  coverage is weak
 * within the knowledge base. It contacts the SynsetManager to get a list of proper
 * synsets and submit a query to an external Search Engine (here it's google via
 * google API) and thus obtaining a list of document URLs which indexing are then
 * issued.</p>
 * <p>Copyright: Copyright (c) 2004</p>
 * <p>Company: Politecnico di Torino</p>
 * @author alessio.bosca@polito.it
 */
public class CheckAnnotationBaseWeakConcepts extends OneShotBehaviour
{
  AgencyManager myAgent;

  public CheckAnnotationBaseWeakConcepts(AgencyManager myAgent)
  {
    this.myAgent=myAgent;
  }

//to be implemented
  public void action()
  {
    /*try {
      //creating a new Service object
      Service service = new Service();
      //create a new call object
      Call call = (Call) service.createCall();
      //setting endpoints for sending the file
      call.setTargetEndpointAddress(new java.net.URL(this.myAgent.getAnnotationEP()));

      }
      catch (Exception ex) {  this.myAgent.log(ex.toString());}*/
  }

}