package it.polito.elite.doseWS.agency.behaviours;

import jade.core.behaviours.*;
import it.polito.elite.doseWS.agency.*;

/**
 *
 * <p>Title: SelfMaintenanceBehaviour </p>
 * <p>Description: It periodically starts behaviours related to SelfMaintenance
 * of the agency (CeckAgencyEmployees and CheckAnnotationBaseWeakConcepts)</p>
 * <p>Copyright: Copyright (c) 2004</p>
 * <p>Company: Politecnico di Torino</p>
 * @author alessio.bosca@polito.it
 */
public class SelfMaintenanceBehaviour extends TickerBehaviour
{
  AgencyManager myManager;

  public SelfMaintenanceBehaviour(AgencyManager x, long delay)
  {
    super(x, delay);
    myManager = x;
  }

//to be implemented
  protected void onTick()
  {
    //Live aka CeckAgencyEmployees
    //Autonomic Stuff aka CheckAnnotationBaseWeakConcepts
  }

}