package it.polito.elite.doseWS.agency.messages;

import junit.framework.TestCase;
import java.util.Date;
import java.text.DateFormat;
import java.text.*;

public class AnnotationOfferMessageTest extends TestCase
{
  public static void main(String[] args)
  {
    junit.swingui.TestRunner.run(AnnotationOfferMessageTest.class);
  }

  public AnnotationOfferMessageTest(String arg0)
  {
    super(arg0);
  }

  public void testParse()
  {
    Date current = new Date();
    SimpleDateFormat df = (SimpleDateFormat)DateFormat.getDateTimeInstance();
	df.applyPattern("yyyy:MM:dd:hh:mm:ss:S:Z");
	String d = df.format(current);
    try {
      current = df.parse(d);
    }
    catch (ParseException ex) {
    }
    AnnotationOfferMessage msg = new AnnotationOfferMessage(current, 4);
    System.out.println(msg.createMsg());
    AnnotationOfferMessage msg2 = (AnnotationOfferMessage)
        AnnotationOfferMessage.parse(msg.createMsg());
    assertEquals(msg2.date, current);
    assertEquals(msg2.runnings, 4);
  }

}