package it.polito.elite.doseWS.agency.messages;

import junit.framework.TestCase;

public class AnnotationRequestMessageTest extends TestCase
{
  public AnnotationRequestMessageTest(String arg0)
  {
    super(arg0);
  }

  public void testParse()
  {
    String text = "this is a test text with high grammatical precision";
    AnnotationRequestMessage msg = new AnnotationRequestMessage(text, "greek",
        "http://someurl.com?ext=2&dato=4");
     System.out.println(msg.createMsg());
    AnnotationRequestMessage msg2 = (AnnotationRequestMessage)
        AnnotationRequestMessage.parse(msg.createMsg());
    assertEquals(msg2.getLanguage(), "greek");
    assertEquals(msg2.getURL(), "http://someurl.com?ext=2&dato=4");
    assertEquals(msg2.getText(), text);
  }

}