package it.polito.elite.doseWS.agency;

import java.util.*;
import jade.core.*;


public class testAgency
{
  public static void main(String[] args)
  {
    new testAgency();
  }

  public testAgency()
  {
    //Main Container Start Up
    jade.wrapper.MainContainer myContainer;
      try {
        jade.core.Runtime rt = jade.core.Runtime.instance();
        jade.core.Profile p = new jade.core.ProfileImpl(null, -1, null);
        myContainer = rt.createMainContainer(p);
        myContainer.start();

      //Agency Manager Start Up
      String host= new String("cherasca.polito.it");//cherasca.polito.it localhost
      String darioHost= new String("pellice.polito.it");//pellice.polito.it
      HashSet v=new HashSet();
      //v.add("http://"+host+":8080/axis/ContainerProviderWS.jws");
      v.add("http://"+darioHost+":8080/axis/ContainerProviderWS.jws");
      //v.add("http://unerzio.polito.it:8080/axis/ContainerProviderWS.jws");

      Integer delayMinutes=new Integer(10000);
      String annotationURI="http://"+darioHost+":8080/axis/AnnoRepositoryWS.jws";
      String expanderURI="";
      String searchURI="";
      Object args[] = new Object[12];

      //Globals
      args[0]= host;
      args[1] = annotationURI;
      args[2] = expanderURI;
      args[3] = searchURI;
      args[4] = delayMinutes;

      //Data Sources
      args[5]= new String("http://"+darioHost+":8080/axis/stopwordDictionary.xml");
      args[6]=new String("http://"+darioHost+":8080/axis/ontology.owl");
      args[7]=new String("jdbc:postgresql://ticino.polito.it/pass3/");
      args[8]=new String("pass3");
      args[9]=new String("pass3");
      args[10]=new String("org.postgresql.Driver");
      //Containers
      args[11] = v;

      jade.wrapper.Agent myManager = (jade.wrapper.Agent) myContainer.createNewAgent(
          "theBoss", "it.polito.elite.doseWS.agency.AgencyManager", args);
      myManager.start();
    }
    catch (Exception exB) {
      System.out.println(">>" + exB);
    }

  }

}