package it.polito.elite.doseWS.include;

import java.util.*;

/**
 * Interface for mapping text to concepts.
 */
public interface SemanticMapper {
	
	/**
	 * Maps a string of text in a given language to an Hashtable of weighted concepts of the ontology.
	 * @param text A String of text
	 * @param language The language code
	 * @return The Hashtable of weighted concepts
	 */
	public Hashtable map(String text, String language);
}