/*
 * Spectrum.java
 *
 * Created on July 5, 2004, 4:34 PM
 */

package it.polito.elite.doseWS.include;

import java.util.Hashtable;


/**
 * A java interface for representing conceptual spectra
 * 
 * @author  <a href="mailto:dario.bonino@polito.it">Dario Bonino</a>
 * <a href="mailto:alessio.bosca@polito.it">Alessio Bosca</a>
 * <a href="mailto:federico.pescarmona@polito.it">Federico Pescarmona</a>
 * <a href="mailto:michele.debandi@polito.it">Michele Debandi</a>
 * 
 * @version 1.0
 * @since 11/2004
 */
public interface Spectrum
{
	public String getFragmentURI();
	public String getFragmentXPath();
	public String getAuthor();
	public String getType();
	public Hashtable getConcepts();
	public double dist(Spectrum sa,Spectrum sb);
	public Object clone() throws CloneNotSupportedException;
}
