package it.polito.elite.doseWS.wrappers;

import java.io.InputStream;
import java.util.Date;
import java.util.Enumeration;
import java.util.Set;
import it.polito.elite.doseWS.include.Synset;

public interface SynsetWrapper {
	
	/**
	 * Returns the language-dependant synset of a concept. 
	 * @param topicURI The concept.
	 * @param language The language.
	 * @return a Synset object.
	 */
	public Synset getSynset (String conceptURI, String language);
	
	/**
	 * 
	 * @author bonino
	 *
	 * TODO To change the template for this generated type comment go to
	 * Window - Preferences - Java - Code Style - Code Templates
	 */
	public boolean parseSynset(InputStream inStream) throws Exception;
	
	/**
	 * 
	 * @author bonino
	 *
	 * TODO To change the template for this generated type comment go to
	 * Window - Preferences - Java - Code Style - Code Templates
	 */
	public Set getLanguages();
	
	public Date getExpiration();
	
	public Enumeration getConcepts();
}