package it.polito.elite.doseWS.agency.behaviours;

import jade.core.behaviours.*;
import it.polito.elite.doseWS.agency.AgencyManager;

/**
 <p>Title: CountEmployeesNumber </p>
 * <p>Description: extends WakerBehaviour. It is instanced by a CeckAgencyEmployees
 * behaviour scheduled by the AgencyManager. It manages the agents not responding
 * to the IsAlive message by sending to them an explicit Die message and replacing
 * them with new ones. It make use of create*Agent methods of the AgencyManager. The died
 * agents are removed from the proper collectors while new AIDs are automatically
 * retrieved thanks to the subscribeServiceRegistrations method of the AgencyManager,
 * activeted in its setup.</p>
 * <p>Copyright: Copyright (c) 2004</p>
 * <p>Company: Politecnico di Torino</p>
 * @author alessio.bosca@polito.it
 */
public class CountEmployeesNumber extends WakerBehaviour
{
  public CountEmployeesNumber(AgencyManager myAgent, long wakeUp)
  {
    super(myAgent, wakeUp);
  }
  protected void handleElapsedTimeout()
  {
    /**@todo Implement this jade.core.behaviours.WakerBehaviour abstract method*/
  }

}