package it.polito.elite.doseWS.agency.messages;

/**
 *
 * <p>Title: AnnotationAcceptanceMessage </p>
 * <p>Description: Message sent in order to accept an AnnotationRequest</p>
 * <p>Copyright: Copyright (c) 2004</p>
 * <p>Company: Politecnico di Torino</p>
 * @author alessio.bosca@polito.it
 */
public class AnnotationAcceptanceMessage extends Message
{
  static final String ID="AnnoAccept";

   public String createMsg()
   {
     return new String("<MSG id=\""+AnnotationAcceptanceMessage.ID+"\"/>");
   }

   public static String getID()
   {
     return AnnotationAcceptanceMessage.ID;
   }

   public static Message parse(String msg)
   {
     return new AnnotationAcceptanceMessage();
   }


}