package it.polito.elite.doseWS.agency.messages;

/**
 *
 * <p>Title: IsAlive </p>
 * <p>Description: Query if an agent is still alive and running.</p>
 * <p>Copyright: Copyright (c) 2004</p>
 * <p>Company: Politecnico di Torino</p>
 * @author alessio.bosca@polito.it
 */
public class IsAlive extends Message
{
  static final String ID="IsAlive";

  public String createMsg()
  {
    return new String("<MSG id=\""+IsAlive.ID+"\"/>");
  }

  public static String getID()
  {
    return IsAlive.ID;
  }

  public static Message parse(String msg)
  {
    return new IsAlive();
  }
}