/*
 * topicadm.java
 *
 * Created on September 20, 2004, 2:53 PM
 */

package it.polito.elite.doseWS.wrappers;


import it.polito.elite.doseWS.wrappers.DBWrapperImpl;
//import it.polito.elite.doseWS.include;
/**
 *
 * @author  debandi
 */
public class topicadm {
    private static final String dbDriver = "org.postgresql.Driver";
    private static final String dbURI = "jdbc:postgresql://ticino.polito.it/pass3/";
    private static final String dbUser ="pass3";
    private static final String dbPass = "pass3";
    
      
    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        String command;
        String value;
        String value1;
        Integer key;
        Integer ret;
        
        try {
            System.out.println("topicadm v. 0.1");
            if (args.length ==2 ) {
                DBWrapperImpl DB = new DBWrapperImpl(dbDriver,dbURI,dbUser,dbPass);
                command = new String(args[0]);
                value = new String(args[1]);
                if (command.equals("-Ti")) {
                    ret = DB.insertTopic(value);
                    if (ret != null) {
                        System.out.println(ret.toString());
                        return;
                    }
                    System.out.println(DB.dbStatus());
                    return;
                };
                if (command.equals("-Ai")) {
                    ret = DB.insertAuthor(value);
                    if (ret != null) {
                        System.out.println(ret.toString());
                        return;
                    }
                    System.out.println(DB.dbStatus());
                    return;
                    
                };
                if (command.equals("-Ni")) {
                    ret = DB.insertType(value);
                    if (ret != null) {
                        System.out.println(ret.toString());
                        return;
                    }
                    System.out.println(DB.dbStatus());
                    return;
                    
                };
                if (command.equals("-Ts")) {
                    ret = DB.selectTopic(value);
                    if (ret != null) {
                        System.out.println(ret.toString());
                        return;
                    }
                    System.out.println(DB.dbStatus());
                    return;
                };
                if (command.equals("-As")) {
                    ret = DB.selectAuthor(value);
                    if (ret != null) {
                        System.out.println(ret.toString());
                        return;
                    }
                    System.out.println(DB.dbStatus());
                    return;
                };
                if (command.equals("-Ns")) {
                    ret = DB.selectType(value);
                    if (ret != null) {
                        System.out.println(ret.toString());
                        return;
                    }
                    System.out.println(DB.dbStatus());
                    return;
                };
                if (command.equals("-Td")) {
                    
                    ret = DB.deleteTopic(value);
                    if (ret != null) {
                        System.out.println(ret.toString());
                        return;
                    }
                    System.out.println(DB.dbStatus());
                    return;
                };
                if (command.equals("-Ad")) {
                    
                    ret = DB.deleteAuthor(value);
                    if (ret != null) {
                        System.out.println(ret.toString());
                        return;
                    }
                    System.out.println(DB.dbStatus());
                    return;
                };
                if (command.equals("-Nd")) {
                    
                    ret = DB.deleteType(value);
                    if (ret != null) {
                        System.out.println(ret.toString());
                        return;
                    }
                    System.out.println(DB.dbStatus());
                    return;
                };
                if (command.equals("-TD")) {
                    try {
                        key = new Integer(value);
                    }
                    catch (Exception e) {
                        System.out.println("key must be integer:" + e.getMessage());
                        return;
                    }
                    ret = DB.deleteTopic(key);
                    if (ret != null) {
                        System.out.println(ret.toString());
                        return;
                    }
                    System.out.println(DB.dbStatus());
                    return;
                };
                if (command.equals("-AD")) {
                    try {
                        key = new Integer(value);
                    }
                    catch (Exception e) {
                        System.out.println("key must be integer:" + e.getMessage());
                        return;
                    }
                    ret = DB.deleteAuthor(key);
                    if (ret != null) {
                        System.out.println(ret.toString());
                        return;
                    }
                    System.out.println(DB.dbStatus());
                    return;
                };
                if (command.equals("-ND")) {
                    try {
                        key = new Integer(value);
                    }
                    catch (Exception e) {
                        System.out.println("key must be integer:" + e.getMessage());
                        return;
                    }
                    ret = DB.deleteType(key);
                    if (ret != null) {
                        System.out.println(ret.toString());
                        return;
                    }
                    System.out.println(DB.dbStatus());
                    return;
                };
                showhelp("unknown option "+command);
                return;
            };
            if (args.length ==3 ) {
                DBWrapperImpl DB = new DBWrapperImpl(dbDriver,dbURI,dbUser,dbPass);
                command = new String(args[0]);
                value = new String(args[1]);
                value1 = new String(args[2]);
                
                if (command.equals("-Si")) {
                    ret = DB.insertSynset(value,value1);
                    if (ret != null) {
                        System.out.println(ret.toString());
                        return;
                    }
                    System.out.println(DB.dbStatus());
                    return;
                    
                }
                if (command.equals("-Ss")) {
                    ret = DB.selectSynset(value,value1);
                    if (ret != null) {
                        System.out.println(ret.toString());
                        return;
                    }
                    System.out.println(DB.dbStatus());
                    return;
                };
                if (command.equals("-Sd")) {
                    
                    ret = DB.deleteSynset(value,value1);
                    if (ret != null) {
                        System.out.println(ret.toString());
                        return;
                    }
                    System.out.println(DB.dbStatus());
                    return;
                };
                if (command.equals("-ND")) {
                    try {
                        key = new Integer(value);
                    }
                    catch (Exception e) {
                        System.out.println("key must be integer:" + e.getMessage());
                        return;
                    }
                    ret = DB.deleteSynset(key);
                    if (ret != null) {
                        System.out.println(ret.toString());
                        return;
                    }
                    System.out.println(DB.dbStatus());
                    return;
                };
                showhelp("unknown option "+command);
            };
            showhelp ("too few parameters");
            return;
        }
        catch (Exception E) {
            System.out.println("topicadm generated an exception: "+args[0]+E.getMessage());
            E.printStackTrace();
        }
    }
    private static void showhelp (String message) {
        System.out.println ("topicadm error: "+ message); 
        System.out.println("Usage:\n "+
            "\t -Ti topic  inserts a topic\n" +
            "\t -Td topic  deletes a topic\n" +
            "\t -TD key    deletes a topic by key\n" +
            "\t -Ts topic  returns a topic key\n" +
            "\t -Ai author inserts an author\n" +
            "\t -Ad author deletes an author\n" +
            "\t -AD key    deletes an author by key\n" +
            "\t -As author returns an author key\n" +
            "\t -Ni type   inserts an annotation type\n" +
            "\t -Nd type   deletes an annotation type\n" +
            "\t -ND key    deletes an annotation type by key\n" +
            "\t -Ss topic language   returns a Synset key\n" +
            "\t -Si topic language   inserts an empty Synset\n" +
            "\t -Sd topic language   deletes a Synset\n" +
            "\t -SD key              deletes a Synset by key\n");
    }
}




